Subject: Re: 2.6.24-rc2-mm1 -- strange apparent network failures

From: Kevin Winchester <[email-masked]>
Date: Sat, 17 Nov 2007 21:17:12 -0400

Kevin Winchester wrote:
> Looking at the code being bypassed:
> 
>     if (pE.cap[i] || pP.cap[i] || pP.cap[i])
> 
> looks somewhat weird as it is testing the same condition twice.  Should
> it have been:
> 
>     if (pE.cap[i] || pP.cap[i] || pI.cap[i])
> 
> ?
> 
> I'm about to test that change instead of bypassing the loop, so I'll let
> you know the results.
> 

No, this still results in a dead network connection, although it is
probably a correct change.  I suppose giving the loop even more reasons
to return -ERANGE wasn't going to be helpful.

- --
Kevin Winchester